Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.property.basic
Class ReferenceValueFactory

    java.lang.Object
      org.modeshape.graph.property.basic.AbstractValueFactory<Reference>
          org.modeshape.graph.property.basic.ReferenceValueFactory

All Implemented Interfaces:
  ReferenceFactory, ValueFactory<Reference>

    @Immutable
    public class ReferenceValueFactory

extends AbstractValueFactory<Reference>
implements ReferenceFactory

The standard `ValueFactory` for `PropertyType.REFERENCE` values.

Nested Class Summary

Nested classes/interfaces inherited from class org.modeshape.graph.property.basic.AbstractValueFactory
`AbstractValueFactory.ConvertingIterator<ValueType>`

Field Summary

Fields inherited from interface org.modeshape.graph.property.ValueFactory
`DEFAULT_DECODER, DEFAULT_ENCODER`

Constructor Summary
`ReferenceValueFactory(TextDecoder decoder, ValueFactory<String> stringValueFactory, boolean weak)`

Method Summary
`Reference` | `create(BigDecimal value)` Create a value from a decimal.
`Reference` | `create(Binary value)` Create a value from the binary content given by the supplied stream.
`Reference` | `create(boolean value)` Create a boolean from a string.
`Reference` | `create(byte[] value)` Create a value from the binary content given by the supplied array.
`Reference` | `create(Calendar value)` Create a value from a Calendar instance.
`Reference` | `create(Date value)` Create a value from a date.
`Reference` | `create(DateTime value)` Create a value from a date-time instant.
`Reference` | `create(double value)` Create a value from a double.
`Reference` | `create(float value)` Create a value from a float.
`Reference` | `create(InputStream stream, long approximateLength)` Create a value from the binary content given by the supplied stream.
`Reference` | `create(int value)` Create a value from an integer.
`Reference` | `create(long value)` Create a long from a string.
`Reference` | `create(Name value)` Create a value from a name.
`Reference` | `create(Path.Segment value)` Create a value from a path segment.
`Reference` | `create(Path value)` Create a value from a path.
`Reference` | `create(Reader reader, long approximateLength)` Create a value from a the binary content given by the supplied reader.
`Reference` | `create(Reference value)` Create a value from a reference.
`Reference` | `create(String value)` Create a value from a string, using no decoding.
`Reference` | `create(String value, TextDecoder decoder)` Create a value from a string, using the supplied decoder.
`Reference` | `create(URI value)` Create a value from a URI.
`Reference` | `create(UUID value)` Create a value from a UUID.
`protected Reference[]` | `createEmptyArray(int length)`

Methods inherited from class org.modeshape.graph.property.basic.AbstractValueFactory
`create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, getDecoder, getDecoder, getPropertyType, getStringValueFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.modeshape.graph.property.ValueFactory
`create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, getPropertyType`

Constructor Detail

### ReferenceValueFactory

    public ReferenceValueFactory(TextDecoder decoder,
                                 ValueFactory<String> stringValueFactory,
                                 boolean weak)

Method Detail

### create

    public Reference create(String value)

  Create a value from a string, using no decoding.

  Specified by:
    `create` in interface `ValueFactory<Reference>`
  Parameters:
    `value` - the string from which the value is to be created
  Returns:
    the value, or null if the supplied string is null
  See Also:
    `ValueFactory.create(String, TextDecoder)`

### create

    public Reference create(String value,
                            TextDecoder decoder)

  Create a value from a string, using the supplied decoder.

  Specified by:
    `create` in interface `ValueFactory<Reference>`
  Parameters:
    `value` - the string from which the value is to be created
    `decoder` - the decoder that should be used; if null, the `default decoder` is used
  Returns:
    the value, or null if the supplied string is null
  See Also:
    `ValueFactory.create(String)`

### create

    public Reference create(int value)

  Create a value from an integer.

  Specified by:
    `create` in interface `ValueFactory<Reference>`
  Parameters:
    `value` - the integer from which the value is to be created
  Returns:
    the value; never null

### create

    public Reference create(long value)

  Create a long from a string.

  Specified by:
    `create` in interface `ValueFactory<Reference>`
  Parameters:
    `value` - the string from which the long is to be created
  Returns:
    the value; never null

### create

    public Reference create(boolean value)

  Create a boolean from a string.

  Specified by:
    `create` in interface `ValueFactory<Reference>`
  Parameters:
    `value` - the boolean from which the value is to be created
  Returns:
    the value; never null

### create

    public Reference create(float value)

  Create a value from a float.

  Specified by:
    `create` in interface `ValueFactory<Reference>`
  Parameters:
    `value` - the float from which the value is to be created
  Returns:
    the value; never null

### create

    public Reference create(double value)

  Create a value from a double.

  Specified by:
    `create` in interface `ValueFactory<Reference>`
  Parameters:
    `value` - the double from which the value is to be created
  Returns:
    the value; never null

### create

    public Reference create(BigDecimal value)

  Create a value from a decimal.

  Specified by:
    `create` in interface `ValueFactory<Reference>`
  Parameters:
    `value` - the decimal from which the value is to be created
  Returns:
    the value, or null if the supplied decimal is null

### create

    public Reference create(Calendar value)

  Create a value from a Calendar instance.

  Specified by:
    `create` in interface `ValueFactory<Reference>`
  Parameters:
    `value` - the Calendar instance from which the value is to be created
  Returns:
    the value, or null if the supplied Calendar is null

### create

    public Reference create(Date value)

  Create a value from a date.

  Specified by:
    `create` in interface `ValueFactory<Reference>`
  Parameters:
    `value` - the date from which the value is to be created
  Returns:
    the value, or null if the supplied date is null

### create

    public Reference create(DateTime value)
                     throws ValueFormatException

  Create a value from a date-time instant.

  Specified by:
    `create` in interface `ValueFactory<Reference>`
  Parameters:
    `value` - the date-time instant from which the value is to be created
  Returns:
    the value, or null if the supplied date is null
  Throws:
    `ValueFormatException` - if the conversion from a Date could not be performed
  See Also:
    `ValueFactory.create(org.modeshape.graph.property.DateTime)`

### create

    public Reference create(Name value)

  Create a value from a name.

  Specified by:
    `create` in interface `ValueFactory<Reference>`
  Parameters:
    `value` - the name from which the value is to be created
  Returns:
    the value, or null if the supplied name is null

### create

    public Reference create(Path value)

  Create a value from a path.

  Specified by:
    `create` in interface `ValueFactory<Reference>`
  Parameters:
    `value` - the path from which the value is to be created
  Returns:
    the value, or null if the supplied path is null

### create

    public Reference create(Path.Segment value)

  Create a value from a path segment.

  Specified by:
    `create` in interface `ValueFactory<Reference>`
  Parameters:
    `value` - the path segment from which the value is to be created
  Returns:
    the value, or null if the supplied path segment is null

### create

    public Reference create(Reference value)

  Create a value from a reference.

  Specified by:
    `create` in interface `ValueFactory<Reference>`
  Parameters:
    `value` - the reference from which the value is to be created
  Returns:
    the value, or null if the supplied reference is null

### create

    public Reference create(UUID value)

  Create a value from a UUID.

  Specified by:
    `create` in interface `ValueFactory<Reference>`
  Parameters:
    `value` - the UUID from which the value is to be created
  Returns:
    the value, or null if the supplied URI is null
  See Also:
    `ValueFactory.create(java.util.UUID)`

### create

    public Reference create(URI value)

  Create a value from a URI.

  Specified by:
    `create` in interface `ValueFactory<Reference>`
  Parameters:
    `value` - the URI from which the value is to be created
  Returns:
    the value, or null if the supplied URI is null

### create

    public Reference create(byte[] value)

  Create a value from the binary content given by the supplied array.

  Specified by:
    `create` in interface `ValueFactory<Reference>`
  Parameters:
    `value` - the content to be used to create the value
  Returns:
    the value, or null if the supplied stream is null

### create

    public Reference create(Binary value)
                     throws ValueFormatException,
                            IoException

  Create a value from the binary content given by the supplied stream.

  Specified by:
    `create` in interface `ValueFactory<Reference>`
  Parameters:
    `value` - the binary object to be used to create the value
  Returns:
    the value, or null if the supplied stream is null
  Throws:
    `ValueFormatException` - if the conversion from the binary object could not be performed
    `IoException` - If an unexpected problem occurs while accessing the supplied binary value (such as an `IOException`).
  See Also:
    `ValueFactory.create(org.modeshape.graph.property.Binary)`

### create

    public Reference create(InputStream stream,
                            long approximateLength)
                     throws IoException

  Create a value from the binary content given by the supplied stream.

  Specified by:
    `create` in interface `ValueFactory<Reference>`
  Parameters:
    `stream` - the stream containing the content to be used to create the value
    `approximateLength` - the approximate length of the content (in bytes)
  Returns:
    the value, or null if the supplied stream is null
  Throws:
    `IoException` - If an unexpected problem occurs while accessing the supplied stream (such as an `IOException`).

### create

    public Reference create(Reader reader,
                            long approximateLength)
                     throws IoException

  Create a value from a the binary content given by the supplied reader.

  Specified by:
    `create` in interface `ValueFactory<Reference>`
  Parameters:
    `reader` - the reader containing the content to be used to create the value
    `approximateLength` - the approximate length of the content (in bytes)
  Returns:
    the value, or null if the supplied string is null
  Throws:
    `IoException` - If an unexpected problem occurs while accessing the supplied reader (such as an `IOException`).

### createEmptyArray

    protected Reference[] createEmptyArray(int length)

  Specified by:
    `createEmptyArray` in class `AbstractValueFactory<Reference>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.